import * as ESTree from 'estree';
/**
 * Determines whether a node is a declaration or not
 * @param {ESTree.Node} node
 * @return {boolean}
 */
export declare function isDeclaration(node: ESTree.Node): node is ESTree.Declaration;
/**
 * Determines whether a node is a statement or not
 * @param {ESTree.Node} node
 * @return {boolean}
 */
export declare function isStatement(node: ESTree.Node): node is ESTree.Statement;
/**
 * Determines whether a node is an expression or not
 * @param {ESTree.Node} node
 * @return {boolean}
 */
export declare function isExpression(node: ESTree.Node): node is ESTree.Expression;
